Subject: RE: bug#6227: Color isearch regexp submatches differently

From: "Drew Adams" <[email-masked]>
Date: Thu, 20 May 2010 08:02:53 -0700

> > Yes, exactly.
> 
> IMO, this can be very helpful when searching with regexps.
> And it can help users learn about using regexps more generally.
> 
> Of course, such highlighting should be optional, and 
> preferably via a toggle
> during Isearch.

Need I add that this need not be shown for all search hits simultaneously
(costly and distracting to the user, in general). Just the current hit is
sufficient (what is shown now using face `isearch', not `lazy-highlight').